Subject: Re: bug#24478: 25.1; Regression in 25.1: .tramp_history files are littered in non-$HOME working directories

From: Michael Albinus <[email-masked]>
Date: Thu, 13 Oct 2016 16:51:41 +0200

Michael Albinus <[email-masked]> writes:

Hi Ævar,

> I've tried it with several configurations, but I could not reproduce the
> problem locally. I suppose this behaviour is related to the used shell
> on the remote host. What is /bin/sh on your remote machine?

For the records, today I could reproduce the problem. I had to set
/bin/bash explicitely as remote shell.

Let's see, whether I could find a proper solution, compliant to all
bug#24478, bug#20446, bug#19731, bug#17295. And it is always bash, which
causes problems!

Best regards, Michael.